#!/bin/sh

export LC_ALL=POSIX
unset CFLAGS CC CXX CPP LD_LIBRARY_PATH LD_PRELOAD
DIR=`pwd`

. "$DIR"/sources/scripts/runuml.sh

echo -e "\e[32m=== Phase 2: Build the final system." &&

if [ `id -u` -eq 0 ]
then

# TODO: Turn this into a script and get it to do installer.sqf
# Merge with 2.0-*?

  # A bit of paranoia
  umount tmpdir/build/{tools,sources,proc,sys,dev/pts,dev} 2> /dev/null
  rm -rf tmpdir/build 2> /dev/null

  mkdir -p tmpdir/build/{tools,sources} &&
  mount --bind -o,ro tmpdir/tools tmpdir/build/tools &&
  mount --bind -o,ro sources tmpdir/build/sources &&
  chroot tmpdir/build /sources/scripts/2.2-firmware-build.sh &&
  umount tmpdir/build/{tools,sources}

  if [ -f tmpdir/build/build_complete ]
  then
    rm -f tmpdir/build.sqf 2> /dev/null
    rmdir tmpdir/build/{tools,sources} &&
    rm tmpdir/build/build_complete &&
    mv tmpdir/build/tmp/initramfs-busybox tmpdir &&
    tmpdir/mksquashfs tmpdir/build tmpdir/build.sqf -info
  fi
else
  export UMLSETUP=sources/scripts/2.0-firmware-umlsetup.sh

  if [ ! -f tmpdir/installer.sqf ]
  then
    sources/scripts/make-workspace.sh
    runuml sources/scripts/2.1-installer-build.sh
  fi
  [ -f tmpdir/installer.sqf ] || exit 1

  if [ ! -f tmpdir/build.sqf ]
  then
    sources/scripts/make-workspace.sh
    runuml sources/scripts/2.2-firmware-build.sh
  fi
  [ -f tmpdir/build.sqf ] || exit 1

fi

sources/scripts/2.3-firmware-package.sh || exit 1

if [ -f firmware-boot ]
then
  UMLSETUP=sources/scripts/2.4-make-hdaimg.sh runuml
fi

if [ ! -f hda.img ]; then exit 1; fi
