#!/tools/bin/sh

# This script is run in the chroot environment, with /tools and /sources in
# an otherwise empty (writeable) directory.

# Setup the environment
. sources/scripts/2.2.0-firmware-build-setup.sh

# Fake the minimal necessary bits of 2.2.1.
mkdir -p /{tmp,usr/{lib,bin,sbin,man/man1}} &&
ln -s /usr/bin /bin &&
ln -s /usr/sbin /sbin &&
ln -s /usr/lib /lib &&
ln -s /tools/bin/{sh,pwd} /bin/ &&

# Don't bother to recompile uClibc, just use the one from /tools.
ln -s /tools/lib/{libc.so.0,ld-uClibc.so.0} /lib &&

# Busybox.

/sources/scripts/build-busybox.sh installer &&
rm -rf /tmp/busybox*

if [ $? -ne 0 ]; then exit 1; fi

# Build bin86, as86, lilo
sources/scripts/2.2.4-firmware-build-bootloader.sh # || exit 1

# Final cleanup: strip debug symbols and delete unnecessary stuff.

/tools/bin/find /{,usr/,usr/local/}{bin,sbin,lib} -type f -exec /tools/bin/strip --strip-debug '{}' ';'

umount /proc /sys /dev/pts /dev &&
touch /installer_complete

/bin/sh
