#!/tools/bin/sh

# This script is run in the chroot environment, with /tools and /sources in
# an otherwise empty (writeable) directory.

# Setup the environment

. sources/scripts/2.2.0-firmware-build-setup.sh

# Read config

if [ -f sources/config ]
then
  source sources/config
fi

# Build directories, /etc/{passwd,group,protocols,services}, oneit, uClibc,
# and busybox. (And, because busybox isn't finished yet, bash and diffutils.)
sources/scripts/2.2.1-firmware-build-base.sh || exit 1

# bin86, as86, lilo
sources/scripts/2.2.4-firmware-build-bootloader.sh || exit 1

if [ ! -z $DO_BUILDTOOLS ]
then
  # Build binutils, gcc, and make
  sources/scripts/2.2.2-firmware-build-buildtools.sh || exit 1
else
  # If we have no buildtools, we don't need the include directory.
  rm -rf /usr/include
fi

if [ ! -z $DO_MORE_BUILDTOOLS ]
then
  # m4, bison, flex
  sources/scripts/2.2.3-firmware-build-more-buildtools.sh || exit 1
fi

if [ ! -z $DO_APPLICATIONS ]
then
  # Fill this out yourself.  I put zlib and dropbear in there so far...
  sources/scripts/2.2.5-firmware-build-applications.sh || exit 1
fi

# Final cleanup: strip debug symbols and delete unnecessary stuff.

/tools/bin/find /{,usr/,usr/local/}{bin,sbin,lib} -type f -exec /tools/bin/strip --strip-debug '{}' ';'

# rm -rf tools/{doc,info,man}
umount /proc /sys /dev/pts /dev &&
touch /build_complete
