#!/tools/bin/sh

# Beat the environment into shape.

set +h
umask 022
unset CC CXX CPP LD_LIBRARY_PATH LD_PRELOAD
export LC_ALL=POSIX
export PATH=/sbin:/bin:/tools/bin
export HOME=/root
export TERM=linux

# What are we building, anyway?

export arch=`uname -m`
if [ "$arch" == i686 ]
then
  arch=i386
fi

# Mount synthetic filesystems (creating directories first, if necessary).

mkdir -p proc sys dev &&
mount proc /proc -t proc &&
mount sysfs /sys -t sysfs &&
mount -t tmpfs -o nr_inodes=8k,mode=700 /dev /dev &&
mkdir -p dev/{shm,pts} &&
mount devpts /dev/pts -t devpts

if [ $? -ne 0 ]; then exit 1; fi

# This is broken.  It's a kernel bug, triggers the OOM killer.  Needs fixing.
#echo 0 > /proc/sys/vm/swappiness

echo "=== Populate /dev (quick and dirty udev substitute)."

function makedev
{
  dev=`echo "$1" | sed 's .*/\(.*\)/dev \1 '`
  minor=`cat "$1" | sed 's .*:  '`
  major=`cat "$1" | sed 's :.*  '`
  mknod -m 600 /dev/"$dev" $2 $major $minor
}

for i in `find /sys/block -name "dev"`
do
  makedev "$i" b &&
  echo -n b
done &&
for i in `find /sys/class -name "dev"`
do
  makedev "$i" c &&
  echo -n c
done &&
echo

if [ $? -ne 0 ]; then exit 1; fi
