#!/tools/bin/sh

echo === m4

cd /tmp &&
tar xvjf /sources/buildtools/m4.tar.bz2 &&
cd m4* &&
./configure --prefix=/usr &&
make &&
make install &&
cd .. &&
rm -rf m4*

if [ $? -ne 0 ]; then exit 1; fi

echo === bison

cd /tmp &&
tar xvjf /sources/buildtools/bison.tar.bz2 &&
cd bison* &&
# As usual, the FSF managed to break stuff.  Bison compiles fine without c++
# but the examples don't, and there's no easy way to disable them...
mv examples examples.bak &&
mkdir -p examples/calc++ &&
echo -e "all:\ninstall:\nclean:" | tee examples/Makefile.in \
	> examples/calc++/Makefile.in &&
./configure --prefix=/usr &&
make &&
make install &&
cd .. &&
rm -rf bison*

if [ $? -ne 0 ]; then exit 1; fi

echo === flex

cd /tmp &&
tar xvzf /sources/buildtools/flex.tar.gz &&
cd flex* &&
./configure --prefix=/usr &&
make &&
make install &&
ln -s libfl.a /usr/lib/libl.a &&
cat>/usr/bin/lex<<EOF &&
#!/bin/sh
exec /usr/bin/flex -l "$@"
EOF
chmod 755 /usr/bin/lex &&
cd .. &&
rm -rf flex*

if [ $? -ne 0 ]; then exit 1; fi
