#!/tools/bin/sh

# Bootloader

echo "=== bin86 (needed by lilo)"

cd /tmp &&
tar xvzf /sources/buildtools/bin86.tar.gz &&
cd bin86* &&
sed -i "s@^PREFIX=.*@PREFIX=/usr@" Makefile &&
make &&
make install &&
cd .. &&
rm -rf bin86*

if [ $? -ne 0 ]; then exit 1; fi

echo "=== as86 (also needed by lilo)"

cd /tmp &&
tar xvzf /sources/buildtools/as86.tar.gz &&
cd as86* &&
make &&
make install &&
cd .. &&
rm -rf as86*

if [ $? -ne 0 ]; then exit 1; fi

echo === lilo

cd /tmp &&
tar xvzf /sources/system/lilo.tar.gz &&
cd lilo* &&
# My tweak for a "length" option
cat /sources/system/lilo-*patch | patch -p1 &&
make &&
make install &&
# A basic lilo.conf
cat > /etc/lilo.conf << EOF &&
boot=/dev/hda
compact
delay=10
timeout=1

image=/boot/vmlinuz
	label=linux
	root=/dev/loop0
	initrd=/initrd.img.gz
	append="init=/sbin/init"
	read-write
EOF
cd .. &&
rm -rf lilo*

if [ $? -ne 0 ]; then exit 1; fi
