#!/tools/bin/sh

echo === zlib

cd /tmp &&
tar xvjf /sources/libraries/zlib.tar.bz2 &&
cd zlib* &&
./configure --prefix=/usr --shared &&
make &&
make install &&
make clean &&
./configure --prefix=/usr &&
make &&
make install &&
cp zlib.3 /usr/share/man/man3 &&
cd .. &&
rm -rf zlib*

#if [ $? -ne 0 ]; then exit 1; fi

# And now, some optional applications.

echo "=== dropbear-0.46 (ssh server and client)"

cd /sources &&
tar xvjf apps/dropbear.tar.bz2 &&
cd dropbear* &&
# Switch off some things #switch others on.
sed -ir -e "s/#define (DROPBEAR_SMALL_CODE|DO_HOST_LOOKUP|DO_MOTD)//" options.h
./configure --prefix=/usr &&
make PROGRAMS="dropbear dbclient dropbearkey scp" MULTI=1 &&
strip dropbearmulti &&
mv dropbearmulti /bin &&
ln -s /bin/dropbearmulti /bin/ssh &&
ln -s /bin/dropbearmulti /bin/scp &&
ln -s /bin/dropbearmulti /sbin/dropbear &&
ln -s /bin/dropbearmulti /sbin/dropbearkey &&
# Create RSA host key.
mkdir /etc/dropbear &&
dropbearkey -t rsa -f /etc/dropbear/dropbear_rsa_host_key \
	-y /etc/dropbear/dropbear_rsa_host_key.pub &&
cd .. &&
rm -rf dropbear*

if [ $? -ne 0 ]; then exit 1; fi

#cd /sources &&
#tar xvjf buildtools/cdrtools-2.00.3.tar.bz2 &&
#cd cdrtools-2.00.3 &&
#make &&
# The install of this is somewhat broken, and most of the stuff it compiled
# is garbage anyway.  Just install what we want by hand.  (No need
# copy libraries, it's all statically linked.  It's evil, really.)
#cp mkisofs/OBJ/*/mkisofs cdrecord/OBJ/*/cdrecord cdda2wav/OBJ/*/cdda2wav /usr/bin &&
#cp mkisofs/mkisofs.8 /usr/man/man8 &&
#cp cdrecord/cdrecord.1 cdda2wav/cdda2wav.1 /usr/man/man1 &&
#cd .. &&
#rm -rf cdrtools-2.00.3
#
#if [ $? -ne 0 ]; then exit 1; fi
