#!/bin/sh

pwd

# We need to do a lot of stuff like mount, mknod, and creating a symlink in
# the top level directory, which would ordinarily require root access.  But
# we can do all of this as a normal user by running User Mode Linux and doing
# the rest of the build in a virtual environment (within which we have root
# access).

# This is created as a sparse file.  Doing a big dd from /dev/zero is an
# easy way to bring a linux system to its knees.  (Especially since stupid
# programs like vi and kmail periodically do an fsync on temporary files and
# block the user's typing for 15-30 seconds while waiting for the data to hit
# disk.)  Besides, this way only the space that's actually used gets allocated,
# and you can see the high water mark by doing du on these files.  The downside
# is they can get a bit fragmented, but it's not too bad.

dd if=/dev/zero of=tmpdir/workspace.img bs=1024 count=1 seek=524287 &&
/sbin/mke2fs -F tmpdir/workspace.img &&

# Back under gcc 3.3, the build completed in 48 megabytes of ram.  But
# just building gcc 4.0 under itself requires about 256 megs.  Most of
# the build is still happy south of 64 megs, and giving UML more just means
# it wastes space on redundant page cache, so give UML 64 megs of RAM but
# 256 megs of swap.

# Another sparse file.

dd if=/dev/zero of=tmpdir/swap.img bs=1024 count=1 seek=262143 &&
/sbin/mkswap tmpdir/swap.img

exit $?
